# KAT 麒麟适配工具集

## 工具简介
1. 用于进行麒麟桌面操作系统的软件包适配验证工具集 
2. 本工具旨在检查麒麟桌面应用程序的兼容性情况，通过整合软硬件适配基准测试标准，通过自动化与人工复核的方式，针对包规范检查、兼容性检查、运行基础检查（安装、启动、卸载等）、性能、可靠性、安全性等
	多维度定位软硬件应用在不同架构、不同系统版本上的适配问题，并提供详细的适配评估报告

## 部署方式

### 配置要求  
麒麟桌面版操作系统 V10 SP1 2303 Release 及以上版本  

### 运行环境
python 3.7+  
其他依赖在requirements.txt

## 使用方法
本工具提供了两种使用方法，分别如下：
### 图形化
1.直接双击安装deb包  
2.保证网络畅通，打开工具的桌面图标  
3.上传软件包，选择软件包类型，开始测试

### 命令行
1.直接使用apt命令安装deb包  
2.进入/opt/apps/kylin-adaptation-tools/目录  
3.运行python3 KAT-cli.py [-h] -t TYPE package   

##### 必填参数
package ，待测包路径
##### 可选参数
-h, --help 显示帮助信息  
-t TYPE, --type TYPE 选择软件类型: 1-软件, 2-外设
##### 使用示例
python3 KAT-cli.py -t 1 '/home/kylin/桌面/xxx.deb'  

#### 结果查看
测试报告放在入口同级的Reports目录下，工具最后在终端会输出报告路径和日志路径，html报告可用xdg-open命令查看

## 目录结构
├── Logs  存放log文件  
├── Reports  存放报告文件  
├── src  待编译源码文件夹  
│   ├── controller  control层代码  
│   ├── designer  QT designer ui文件及转换的py文件  
│   ├── resources  资源文件夹  
│   ├── scripts  脚本文件夹  
│   ├── utils  工具代码  
│   ├── view  view层代码  
│   └── setting.py 基础设置文件  
├── Template  doc的报告模板  
├── KAT.py  客户端入口文件  
├── KAT-cli.py  命令行入口文件
├── README.md  
└── requirements.txt  代码依赖文件  

## 版本更新
### v4.2
完善了客户端UI  
增加了命令行入口  
加密了用例脚本  
修复了若干已知问题

### v0.3
1. 描述：  
集成了包规范检查工具  
可生成综合报告  
2. 已知问题：  
当没有外网时，客户端的测试进度会显示异常，且兼容性测试工具不会返回结果，直接退出执行

### v0.2
1. 描述：  
内测版本
2. 已知问题：  
当授权密码错误时，程序会卡在测试执行过程中

## 备注
#### 源码运行安装依赖
sudo apt install xdotool  
sudo apt install libcanberra-gtk-module
sudo apt install python3-pyside2.qtwidgets  
sudo apt install python3-pyside2.qtcore
sudo apt install python3-pip
pip3 install loguru