#!/bin/bash
#######################################################################################
#Function: check deb don't include a nested deb
#Platform:all
#Author: Fenfen Liu,Chunli Wang
#Date: 2022/03/16
#Company: Kylin Software Co.,Ltd.
#Description: 软件包文件检查：deb包中不含其他deb包
########################################################################################
source ./kylincompatibilitytest/config/config
source ./kylincompatibilitytest/lib/common_function.sh
source ./config/configuration.conf
source ./pub/baselib.sh

Tags="[desktop,base,p0]"
Casenumber="common-base-01"
Casename="软件包文件检查"
Description="[common-base-01]：确认软件包为deb包且包中不含其他deb包"
flag=0

# 测试步骤：检查是否嵌套deb包
function testcase_base01_teststep()
{
   dpkg -c ${PKG_PATH} | grep ".deb$"
   ret=$?
   if [ ${ret} -eq 0 ]; then
     flag=1
     log_error "deb包中嵌套了其他deb包" >> "${CASE_LOG_FILE}"
   fi
}


function TestCase_common_base_01()
{
  write_caseinfo_to_log "${Casenumber}" "${Description}"
  testcase_base01_teststep
  write_endinfo_to_log "${Casenumber}"
}

# 执行测试
TestCase_common_base_01
# assert 测试步骤是否全部PASS
assert_result_by_flag "${flag}" "${Casenumber}"
