#!/bin/bash
#######################################################################################
#Function: check depends not include "=" or "<"
#Platform:all
#Author: RongJia Du
#Date: 2022/05/24
#Company: Kylin Software Co.,Ltd.
#Description: 验证应用依赖depends字段不包含==或<字段（包含了<或<=）
########################################################################################
source ./kylincompatibilitytest/config/config
source ./kylincompatibilitytest/lib/common_function.sh
source ./config/configuration.conf
source ./pub/baselib.sh
source ./pub/log.sh

Tags="[desktop,compatibility,p0]"
Casenumber="common-compatibility-02"
Casename="软件依赖字段（Depends）兼容性检查测试"
Description="[common-compatibility-02]：确认软件依赖字段（Depends）不包含固定版本号"
flag=0

# 测试步骤：依次检查应用依赖字段是否符合兼容性规则
function testcase_compatibility02_teststep()
{
    depends_list=($(get_depends_list))
    if [[ ${depends_list} == "" ]];then
        flag="NA"
        log_info "应用 ${PKG_PACKAGENAME} 软件Depends字段为空,无需依赖字段兼容性测试"
    else
        check_depends_list ${depends_list[*]}
        if [ "$?" == "0" ];then
            log_info "应用${PKG_PACKAGENAME}软件依赖字段（Depends）不包含固定版本号"
        else
            flag="WARNING"
        fi
    fi
}

function TestCase_common_compatibility_02()
{
    write_caseinfo_to_log "${Casenumber}" "${Description}"
    testcase_compatibility02_teststep
    write_endinfo_to_log "${Casenumber}"
}

# 执行测试
TestCase_common_compatibility_02 >> "${CASE_LOG_FILE}"
# assert 测试步骤是否全部PASS
assert_result_by_flag "${flag}" "${Casenumber}"