#!/bin/bash
#######################################################################################
#Function: install app
#Platform:all
#Author: Fenfen Liu
#Date: 2022/01/17
#Company: Kylin Software Co.,Ltd.
#Description: 验证应用能够在麒麟桌面操作系统上成功安装
########################################################################################
source ./kylincompatibilitytest/config/config
source ./kylincompatibilitytest/lib/common_function.sh
source ./config/configuration.conf
source ./pub/baselib.sh
source ./pub/log.sh

Tags="[desktop,function,p0,smoke]"
Casenumber="common-function-02"
Casename="应用成功安装"
Description="[common-function-02]：验证应用能够在麒麟桌面操作系统上成功安装"
flag=0

# 预置处理：应用未安装
function testcase_function02_setup()
{
    deb_check_install_status ${PKG_PACKAGENAME}
    if [ "$?" = "0" ];then
        deb_uninstall ${PKG_PACKAGENAME}
        if [ "$?" == "1" ];then
            log_error "预安装应用 ${PKG_PACKAGENAME} 卸载失败，无法进行待测deb包安装测试"
            flag=1
        fi
    fi
}

# 测试步骤：安装应用
function testcase_function02_teststep()
{
    if [ "${flag}" == "0" ];then
        deb_install ${PKG_PATH}
        flag=$?
    fi
}

function TestCase_common_function_02()
{
    write_caseinfo_to_log "${Casenumber}" "${Description}"
    testcase_function02_setup
    testcase_function02_teststep
    write_endinfo_to_log "${Casenumber}"
}

# 执行测试
TestCase_common_function_02 >> "${CASE_LOG_FILE}"
# assert 测试步骤是否全部PASS
assert_result_by_flag "${flag}" "${Casenumber}"