#!/bin/bash
#######################################################################################
#Function: start app
#Platform:all
#Author: Chunli Wang
#Date: 2022/03/16
#Company: Kylin Software Co.,Ltd.
#Description: 验证应用能够在麒麟桌面操作系统上成功启动
########################################################################################
source ./kylincompatibilitytest/config/config
source ./kylincompatibilitytest/lib/common_function.sh
source ./config/configuration.conf
source ./pub/baselib.sh
source ./pub/log.sh

Tags="[desktop,function,p0,smoke]"
Casenumber="common-function-04"
Casename="应用成功启动"
Description="[common-function-04]：验证应用能够在麒麟桌面操作系统上成功启动"
flag=0

# 前置处理：判断应用已安装
function testcase_function04_setup()
{
    deb_check_install_status ${PKG_PACKAGENAME}
    if [ "$?" == "1" ];then
        log_info "应用 ${PKG_PACKAGENAME} 未安装，需进行安装"
        deb_install ${PKG_PATH}
        if [ "$?" == "1" ];then
            log_error "应用 ${PKG_PACKAGENAME} 安装失败，无法进行启动测试"
            flag=1
        fi
    fi
}

# 测试步骤：启动应用
function testcase_function04_teststep()
{
    if [ "${flag}" == "0" ]; then
        start_app ${PKG_PACKAGENAME} "start"
        local res=$?
        if [ ${res} -eq 255 ]; then
            flag=1
        elif [ ${res} -eq 254 ]; then
            flag="WARNING"
        fi
    fi
}

function exec_testcase_common_function_04()
{
    write_caseinfo_to_log "${Casenumber}" "${Description}"
    testcase_function04_setup
    testcase_function04_teststep
    write_endinfo_to_log "${Casenumber}"
}

# test
exec_testcase_common_function_04 >> "${CASE_LOG_FILE}"
# assert 测试步骤是否全部PASS
assert_result_by_flag "${flag}" "${Casenumber}"