#!/bin/bash
#######################################################################################
#Function: uninstall app,and install app
#Platform:all
#Author: Fenfen Liu,Chunli Wang
#Date: 2022/03/16
#Company: Kylin Software Co.,Ltd.
#Description: 验证应用在卸载后能够正常安装
########################################################################################
source ./kylincompatibilitytest/config/config
source ./kylincompatibilitytest/lib/common_function.sh
source ./config/configuration.conf
source ./pub/baselib.sh
source ./pub/log.sh

Tags="[desktop,function,p1]"
Casenumber="common-function-05"
Casename="应用卸载后重装正常"
Description="[common-function-05]：验证应用在卸载后能够正常安装"
flag=0

# 前置处理：应用已安装
function testcase_function05_setup()
{
    deb_check_install_status ${PKG_PACKAGENAME}
    if [ "$?" = "1" ];then
        deb_install ${PKG_PATH}
        if [ "$?" = "1" ];then
            log_error "应用 ${PKG_PACKAGENAME} 安装失败，无法进行卸载后重新安装测试"
            flag=1
        fi
    fi
}

# 测试步骤：应用卸载后重装正常
function testcase_function05_teststep()
{
    if [ "${flag}" = "0" ];then
        deb_uninstall ${PKG_PACKAGENAME}
        if [ "$?" = "0" ];then
            deb_install ${PKG_PATH}
            flag=$?
        else
            log_error "应用 ${PKG_PACKAGENAME} 卸载失败，无法进行重新安装测试"
            flag=1
        fi
    fi
}

function TestCase_common_function_05()
{
    write_caseinfo_to_log "${Casenumber}" "${Description}"
    testcase_function05_setup
    testcase_function05_teststep
    write_endinfo_to_log "${Casenumber}"
}

# 执行测试
TestCase_common_function_05 >> "${CASE_LOG_FILE}"
# assert 测试步骤是否全部PASS
assert_result_by_flag "${flag}" "${Casenumber}"