#!/bin/bash
#######################################################################################
#Function: case for reliability
#Platform:all
#Author: Chunli Wang
#Date: 2022/03/16
#Company: Kylin Software Co.,Ltd.
#Description: 软件异常关闭后，软件能正常打开
########################################################################################
source ./kylincompatibilitytest/config/config
source ./kylincompatibilitytest/lib/common_function.sh
source ./config/configuration.conf
source ./pub/baselib.sh
source ./pub/log.sh

Tags="[desktop,reliability,p1]"
Casenumber="common-reliability-03"
Casename="软件异常关闭后，软件能正常打开"
Description="[common-reliability-03]：验证软件异常关闭后，软件是否能正常打开"
flag=0

# 前置处理：应用已安装
function testcase_reliability03_setup()
{
    deb_check_install_status ${PKG_PACKAGENAME}
    if [ "$?" = "1" ];then
        log_info "应用 ${PKG_PACKAGENAME} 未安装，需进行安装"
        deb_install ${PKG_PATH}
        if [ "$?" = "1" ];then
            log_error "应用 ${PKG_PACKAGENAME} 安装失败，无法进行软件异常关闭后再正常打开的测试"
            flag=1
        fi
    fi
}

# 测试步骤：应用卸载后重装正常
function testcase_reliability03_teststep()
{
    if [ "${flag}" = "0" ]; then
        start_app ${PKG_PACKAGENAME} "start"
        if [ $? -eq 255 ]; then
            ((flag+=1))
        fi
        start_app ${PKG_PACKAGENAME} "start"
        if [ $? -eq 255 ]; then
            ((flag+=1))
        fi
    fi
}

function TestCase_reliability_03()
{
    write_caseinfo_to_log "${Casenumber}" "${Description}"
    testcase_reliability03_setup
    testcase_reliability03_teststep
    write_endinfo_to_log "${Casenumber}"
}

# 执行测试
TestCase_reliability_03 >> "${CASE_LOG_FILE}"
# assert 测试步骤是否全部PASS
assert_result_by_flag "${flag}" "${Casenumber}"