#!/bin/bash
#######################################################################################
#Function: uninstall app
#Platform:all
#Author: Fenfen Liu,Chunli Wang
#Date: 2022/03/16
#Company: Kylin Software Co.,Ltd.
#Description: 验证应用能够在麒麟桌面操作系统上成功卸载
########################################################################################
source ./kylincompatibilitytest/config/config
source ./kylincompatibilitytest/lib/common_function.sh
source ./config/configuration.conf
source ./pub/baselib.sh
source ./pub/log.sh

Tags="[desktop,function,p0,smoke]"
Casenumber="common-uninstall-01"
Casename="应用成功卸载"
Description="[common-uninstall-01]：验证应用能够在麒麟桌面操作系统上成功卸载"
flag=0

# 前置处理：应用已安装
function testcase_uninstall01_setup()
{
    deb_check_install_status ${PKG_PACKAGENAME}
    if [ "$?" = "1" ];then
        deb_install ${PKG_PATH}
        if [ "$?" = "1" ];then
            log_error "应用 ${PKG_PACKAGENAME} 安装失败，无法进行卸载测试"
            flag=1
        fi
    fi
}

# 测试步骤：卸载应用
function testcase_uninstall01_teststep()
{
    if [ "${flag}" = "0" ];then
        deb_uninstall ${PKG_PACKAGENAME}
        flag=$?
    fi
}

function TestCase_common_uninstall_01()
{
    write_caseinfo_to_log "${Casenumber}" "${Description}"
    testcase_uninstall01_setup
    testcase_uninstall01_teststep
    write_endinfo_to_log "${Casenumber}"
}

# 执行测试
TestCase_common_uninstall_01 >> "${CASE_LOG_FILE}"
# assert 测试步骤是否全部PASS
assert_result_by_flag "${flag}" "${Casenumber}"