#!/bin/bash
#######################################################################################
#Function: check deb don't include a nested rpm
#Platform:all
#Author: RongJia Du
#Date: 2022/08/22
#Company: Kylin Software Co.,Ltd.
#Description: 软件包文件检查：rpm包中不含其他rpm包
########################################################################################
source ./kylincompatibilitytest/config/config
source ./kylincompatibilitytest/lib/common_function.sh
source ./config/configuration.conf
source ./pub/baselib.sh

Tags="[server,base,p0]"
Casenumber="common-base-01"
Casename="软件包文件检查"
Description="[common-base-01]：确认软件包为rpm包且包中不含其他rpm包"
flag=0

# 测试步骤：检查是否嵌套deb包
function testcase_base01_teststep()
{
    rpm -qpl ${PKG_PATH} | grep ".rpm$"
    ret=$?
    if [ ${ret} -eq 0 ]; then
        flag=1
        log_error "rpm包中嵌套了其他rpm包" >> "${CASE_LOG_FILE}"
    fi
}


function TestCase_common_base_01()
{
    write_caseinfo_to_log "${Casenumber}" "${Description}"
    testcase_base01_teststep
    write_endinfo_to_log "${Casenumber}"
}

# 执行测试
TestCase_common_base_01
# assert 测试步骤是否全部PASS
assert_result_by_flag "${flag}" "${Casenumber}"
