#!/bin/bash
#######################################################################################
#Function: start app
#Platform:all
#Author: durongjia
#Date: 2022/06/14
#Company: Kylin Software Co.,Ltd.
#Description: 验证应用能够在麒麟服务器操作系统上成功启动
########################################################################################
source ./kylincompatibilitytest/config/config
source ./kylincompatibilitytest/lib/common_function.sh
source ./kylincompatibilitytest/lib/server_process.sh
source ./config/configuration.conf
source ./pub/baselib.sh
source ./pub/log.sh

Tags="[server,function,p0,smoke]"
Casenumber="common-function-04"
Casename="应用服务启停测试"
Description="[common-function-04]：验证应用能够在麒麟服务器操作系统上成功启动"
flag=0

# 前置处理：应用已安装
function testcase_function04_setup()
{
    rpm_check_install_status ${PKG_PACKAGENAME}
    if [ "$?" = "1" ];then
        log_info "应用 ${PKG_PACKAGENAME} 未安装，需进行安装"
        rpm_install ${PKG_PATH}
        if [ "$?" = "1" ];then
            log_error "应用 ${PKG_PACKAGENAME} 安装失败，无法进行启动测试"
            flag=1
        fi
    fi
}

# 测试步骤：启动应用
function testcase_function04_teststep()
{
    if [ "${flag}" == "0" ];then
        start_app_service
        local result=$?
        if [ "${result}" == "0" ];then
            log_info "应用服务启停成功"
            flag="0"
        elif [ "${result}" == "1" ];then
            log_error "应用服务启停失败"
            flag="1"
        else
            log_warn "应用${PKG_PACKAGENAME}不包含service文件，建议人工检查确认，如包含请手动进行service启停测试"
            flag="WARNING"
        fi
    fi
}



function TestCase_common_function_04()
{
    write_caseinfo_to_log "${Casenumber}" "${Description}"
    testcase_function04_setup
    testcase_function04_teststep
    write_endinfo_to_log "${Casenumber}"
}

# 执行测试
TestCase_common_function_04 >> "${CASE_LOG_FILE}"
# assert 测试步骤是否全部PASS
assert_result_by_flag "${flag}" "${Casenumber}"