#!/bin/bash
#######################################################################################
#Function: start app
#Platform:all
#Author: durongjia
#Date: 2022/08/23
#Company: Kylin Software Co.,Ltd.
#Description: 验证应用可以在麒麟服务器操作系统上运行基本的命令
########################################################################################
source ./kylincompatibilitytest/config/config
source ./kylincompatibilitytest/lib/common_function.sh
source ./kylincompatibilitytest/lib/server_process.sh
source ./config/configuration.conf
source ./pub/baselib.sh
source ./pub/log.sh

Tags="[server,function,p0,smoke]"
Casenumber="common-function-05"
Casename="应用命令调用测试"
Description="[common-function-05]：验证应用可以在麒麟服务器操作系统上运行基本的命令"
flag=0

# 前置处理：应用已安装
function testcase_function05_setup()
{
    rpm_check_install_status ${PKG_PACKAGENAME}
    if [ "$?" = "1" ];then
        log_info "应用 ${PKG_PACKAGENAME} 未安装，需进行安装"
        rpm_install ${PKG_PATH}
        if [ "$?" = "1" ];then
            log_error "应用 ${PKG_PACKAGENAME} 安装失败，无法进行启动测试"
            flag=1
        fi
    fi
}

# 测试步骤：启动应用
function testcase_function05_teststep()
{
    if [ "${flag}" == "0" ];then
        start_app_cmd
        local result=$?
        if [ "${result}" == "0" ];then
            log_info "应用命令调用成功"
            flag="0"
        elif [ "${result}" == "1" ];then
            log_error "应用命令调用失败"
            flag="1"
        else
            log_info "应用${PKG_PACKAGENAME}bin|sbin目录下不包含可执行文件，建议人工检查确认，如包含请手动进行cmd调用测试"
            flag="NA"
        fi
    fi
}


function TestCase_common_function_05()
{
    write_caseinfo_to_log "${Casenumber}" "${Description}"
    testcase_function05_setup
    testcase_function05_teststep
    write_endinfo_to_log "${Casenumber}"
}

# 执行测试
TestCase_common_function_05 >> "${CASE_LOG_FILE}"
# assert 测试步骤是否全部PASS
assert_result_by_flag "${flag}" "${Casenumber}"