#!/bin/bash
################################################################################
#Function: backup system
#Platform:amd64/arm64/x86
#Author: Zhang Yikun
#Date: 2021/11/09
#Company: Kylin Software Co.,Ltd.
################################################################################

run_log=log.log
EXCLUDEFILE='exclude_auto'
#RESTORE_EXCLUDEFILE='exclude_user_auto'
# Set the standardization of log, written by Fenfen Liu
function log()
{
    local log_level=$1
    local log_info=$2
    local line=$3
    local script_name=$(basename $0)
    case ${log_level} in
      "INFO")
        echo -e "$(date '+%Y-%m-%d %T') [INFO]: ${log_info}"
        ;;
      "WARN")
        echo -e "$(date '+%Y-%m-%d %T') [WARN]: ${log_info}"
        ;;
      "ERROR")
        echo -e "$(date '+%Y-%m-%d %T') [ERROR ${script_name} ${FUNCNAME[1]}:$line]: ${log_info}"
        ;;
      *)
        echo -e "${@}"
        ;;
    esac
}

#运行system_backup，将系统备份，备份文件路径为/backup/Backup_当前日期
function system_backup(){

	# if [ `whoami` != "root" ];then
	#   log ERROR "[autotest] 请切换到root账户运行" | tee -a $run_log
	#   exit 1
	# fi
        ls_date=`date +%Y%m%d`
        #backup_file_source="/data/Backup_${ls_date}"
        mkdir /backup
        backup_file_source="/backup/Backup_${ls_date}"
        
		if [ -d "${backup_file_source}" ];then
			log ERROR "[autotest] 已存在备份文件，若仍需备份，请手动删除$backup_file_source文件夹" | tee -a $run_log
			exit 1
		fi

			log INFO "[autotest] 开始备份，预计5到10分钟，请勿做任何操作" |tee -a $run_log
			rsync -avAXH --ignore-missing-args --exclude-from ${EXCLUDEFILE} / "${backup_file_source}" |tee -a tmp.log
			if [ $? == "0" ];then
				log INFO "[autotest] 备份成功" | tee -a $run_log  #上条命令执行成功
				echo "[autotest] 已成功备份，备份文件路径为${backup_file_source}" | tee -a $run_log
				echo "./system_recover.sh ${backup_file_source}" > run_recover.sh
				chmod +x  *.sh
				#status=$(cat /etc/crontab |grep /home/kylin/sysrestore)
				#cat /etc/crontab |grep /home/kylin/sysrestore >/dev/null
				#if [ $? -eq 0 ];then
					#echo "[autotest] 定时任务已存在，本次不再添加定时任务，已存在的定时任务为：${status}" | tee -a $run_log
				#else
					#echo "0 0 * * * root cd /home/kylin/sysrestore && sh run_recover.sh" >>/etc/crontab
					#echo "[autotest] 已添加定时任务，定时任务为：0 0 * * * root cd /home/kylin/sysrestore && sh run_recover.sh"|tee -a $run_log
					#echo 'echo "您已启动备份还原，每日00：00开始还原系统，若需取消，请运行/home/kylin/sysrestore/cancel_recover.sh"' >> /home/kylin/.bashrc
					#echo "[autotest] 您已启动备份还原，每日00：00开始还原系统，若需取消，请运行/home/kylin/sysrestore/cancel_recover.sh" |tee -a $run_log
				#fi
			else
				log ERROR "[autotest]	备份失败" | tee -a $run_log  #上条命令执行失败
				echo "[autotest] 错误信息如下:" >> $run_log
				cat tmp.log >> $run_log
				exit 1
			fi

                }

system_backup

