# DEB包规范检查工具

## 工具简介
此工具用于检查麒麟桌面DEB包是否符合麒麟打包规范，并给出修改意见。
可实现检查包名，control、desktop、图标、安装卸载脚本文件内容和关键驱动文件的规范检查功能。

## 运行命令
./run.sh [测试类型] [测试包路径]

## 使用方法
1.执行文件 参数1 参数2  
1）执行文件：run.sh  
2）参数1：待测软件包类型，参数不区分大小写，包括：  
    software  软件包;  
    peripheral  外设包  
3）参数2：DEB包路径  

2.使用举例：  
./run.sh software  /home/kylin/fcitx_2.2.1-1_arm64.deb   执行对<fcitx_2.2.1-1_arm64.deb>的包规范检查  
./run.sh --help  显示帮助文档  

3.获取测试结果  
工具测试完成后，请在工具目录report文件下获取带有最新时间戳的测试报告。


## 目录结构
├── libs 
│     └── casecontrol.sh             —— 运行控制模块，封装测试用例集、用例执行的方法  
├── README.md                           —— 指导说明文档  
├── report                           —— 测试报告结果保存  
│      ├── reportdetail.csv         —— 测试详细结果  
│      ├── reportsummary.csv         —— 测试结果概述  
│      └──packageinfo.csv         —— 包信息  
├── resource                         —— 资源文件夹，存放所有配置文件  
│      ├── casespool.csv         —— 测试用例池  
│      ├── casesmodify.csv            —— 测试用例不合规范项修改建议  
│      └── temp        —— 存放工具执行过程中生成的临时文件  
└── run.sh  
