import os
import csv

import pprint


class CSV:
    def __init__(self, file):
        self.file = file

    def csv_reader(self):
        if not os.path.isfile(self.file):
            return []
        with open(self.file, 'r', encoding='utf-8') as f:
            reader = csv.DictReader(f)
            # print(type(reader), reader)
            return [x for x in reader]

    def csv_reader_transverse(self):
        if not os.path.isfile(self.file):
            return dict()
        with open(self.file, 'r', encoding='utf-8') as f:
            data = dict()
            for line in csv.reader(f):
                data[line[0]] = line[1]
        return data

    def csv_reader_2(self, header=False):
        if not os.path.isfile(self.file):
            return []
        with open(self.file, 'r', encoding='utf-8') as f:
            pprint.pprint(f.readlines())
            reader = csv.DictReader(f)
            print(type(reader), reader)
            return [x for x in reader]

    def csv_writer(self, content):
        header = True if not os.path.isfile(self.file) else False
        with open(self.file, 'a+', newline='', encoding='utf-8-sig')as f:
            fnames = content.keys()
            writer = csv.DictWriter(f, fieldnames=fnames)
            if header:
                writer.writeheader()
            writer.writerow(content)

    def csv_writer_list(self, content, titles):
        with open(self.file, 'a', newline='', encoding='utf-8-sig')as f:
            writer = csv.DictWriter(f, titles)
            writer.writeheader()
            for row in content:
                writer.writerow(row)

# cs = CSV('environment_20230817161803.csv')
#
# pprint.pprint(cs.csv_reader_transverse())
