# coding=utf-8
"""
@Project : kylin-adaptation-tools
@Time    : 2023/8/16 15:39
@Author  : wangbin
"""
import time
import os


def local_time():
    """
    :return: str 时间字符串， 格式为:%Y-%m-%d %H:%M:%S
    """
    return time.strftime("%Y-%m-%d %H:%M:%S", time.localtime())


def escape_character(string):
    """
    字符串中特殊字符进行转义，前面加上\
    :param string:
    :return:
    """
    result = ''
    for i in string:
        if i in '~!@#$%^&*':
            result += '\\' + i

        else:
            result += i
    return result


def check_passwd(passwd):
    cmd = f'echo {passwd}|sudo -S ls'
    # print(cmd)
    fetch = os.system(cmd)
    # print(fetch >> 8, '???????')
    # 执行错误显示256即0100，只需要读取高位即01
    return not fetch


def read_blazer_config(file, key):
    '''
    读取blazer的配置文件，该文件为 k=v格式，使用#作为注释标识
    :param file: blazer的config文件路径
    :param key: 读取的参数名
    :return: 读取的参数值
    '''
    with open(file, 'r') as f:
        content = f.readlines()
        # print(content)
    data = {}
    for line in content:
        line = line[0:line.find('#')]
        if '=' in line:
            k, v = line.split('=')
            data[k.strip()] = v.strip()
    # print(data)
    return data.get(key)
