# coding=utf-8

"""
@Project : kylin-adaptation-tools
@Time    : 2023/11/16 15:06
@Author  : wangbin wangchunli
"""

from PySide2.QtCore import *
from PySide2.QtGui import *
from PySide2.QtWidgets import *
from PySide2 import QtCore
from src.setting import RESOURCE_PATH, APP_VERSION


# 集成的类是QObject
class Ui_about(QObject):
    def setupUi(self, about):
        if not about.objectName():
            about.setObjectName(u"about")


        # 窗口无标题栏 窗口置顶
        about.setWindowFlags(Qt.FramelessWindowHint | QtCore.Qt.MSWindowsFixedSizeDialogHint | QtCore.Qt.Tool)
        about.setWindowModality(QtCore.Qt.ApplicationModal)

        # 窗口边框透明，做阴影
        about.setAttribute(Qt.WA_TranslucentBackground)

        # 窗口自定义标题栏操作
        self.dialog = about

        about.resize(320, 420)
        about.setMinimumSize(QSize(320, 420))
        about.setMaximumSize(QSize(320, 420))
        about.setStyleSheet(u"QFrame {\n"
                            "	font-family: \"\u7b49\u7ebf\";\n"
                            "	border-radius: 12px;\n"
                            "	border-width: 0px;\n"
                            "	background-color: white;\n"
                            "	margin: 10px;\n"
                            "}\n"
                            "QLabel {\n"
                            "	font-size: 16px;\n"
                            "	font-family: \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                            "	color: rgb(16, 16, 16);\n"
                            "	border-width: 0px;\n"
                            "	margin: 0px;\n"
                            "}\n"
                            "QPushButton:hover{\n"
                            "	background-color: red;\n"
                            "}\n"
                            "QPushButton{\n"
                            "	border-color: rgb(215, 215, 215);\n"
                            "	border-style: solid;\n"
                            "	border-width: 0px;\n"
                            "	border-radius: 6px;\n"
                            "	font-family: \"\u7b49\u7ebf\";\n"
                            "	font-size: 18px;\n"
                            "	color: rgb(16, 16, 16);\n"
                            "	background-color: rgb(255, 255, 255);\n"
                            "}\n"
                            "QPushButton:hover{\n"
                            "	background-color: rgb(232, 232, 232);\n"
                            "}\n"
                            "QPushButton:pressed{\n"
                            "	color:white;\n"
                            "}")
        self.frame_base = QFrame(about)
        self.frame_base.setObjectName(u"frame_base")
        self.frame_base.setGeometry(QRect(0, 0, 320, 420))
        self.frame_base.setMinimumSize(QSize(300, 400))
        self.frame_base.setMaximumSize(QSize(320, 420))
        self.frame_base.setStyleSheet(u"QFrame {\n"
                                      "\n"
                                      "}")
        self.frame_base.setFrameShape(QFrame.StyledPanel)
        self.frame_base.setFrameShadow(QFrame.Raised)
        self.frame_title_bar = QFrame(self.frame_base)
        self.frame_title_bar.setObjectName(u"frame_title_bar")
        self.frame_title_bar.setGeometry(QRect(10, 0, 300, 40))
        self.frame_title_bar.setStyleSheet(u"QFrame {\n"
                                           "	margin: 0px;\n"
                                           "}")
        self.frame_title_bar.setFrameShape(QFrame.StyledPanel)
        self.frame_title_bar.setFrameShadow(QFrame.Raised)
        self.pushButton_title_bar_close = QPushButton(self.frame_title_bar)
        self.pushButton_title_bar_close.setObjectName(u"pushButton_title_bar_close")
        self.pushButton_title_bar_close.setGeometry(QRect(266, 5, 30, 30))
        self.pushButton_title_bar_close.setCursor(QCursor(Qt.PointingHandCursor))
        self.pushButton_title_bar_close.setStyleSheet(u"QPushButton:hover{\n"
                                                      "	background-color: red;\n"
                                                      "}\n"
                                                      "QPushButton{\n"
                                                      "	font-family: \"\u9ed1\u4f53\";\n"
                                                      "}")
        self.about_label_title = QLabel(self.frame_title_bar)
        self.about_label_title.setObjectName(u"about_label_title")
        self.about_label_title.setGeometry(QRect(140, 5, 31, 20))
        self.about_label_title.setStyleSheet(u"")
        self.label_logo = QLabel(self.frame_base)
        self.label_logo.setObjectName(u"label_logo")
        self.label_logo.setGeometry(QRect(123, 70, 74, 42))
        # logo文件 使用项目的资源路径
        logo_path = f'{RESOURCE_PATH}/kylin_logo.png'
        self.label_logo.setPixmap(QPixmap(logo_path))
        self.label_logo.setScaledContents(True)
        self.about_label_name = QLabel(self.frame_base)
        self.about_label_name.setObjectName(u"about_label_name")
        self.about_label_name.setGeometry(QRect(104, 244, 121, 41))
        self.about_label_name.setStyleSheet(u"")
        self.about_label_version = QLabel(self.frame_base)
        self.about_label_version.setObjectName(u"about_label_version")
        self.about_label_version.setGeometry(QRect(120, 290, 81, 31))
        self.about_label_version.setStyleSheet(u"QLabel {\n"
                                               "	font-size: 14px;\n"
                                               "}")
        self.label_title_logo = QLabel(self.frame_base)
        # 工具logo文件 使用项目的资源路径
        logo_path = f'{RESOURCE_PATH}/logo.png'
        self.label_title_logo.setObjectName(u"label_title_logo")
        self.label_title_logo.setGeometry(QRect(128, 150, 64, 64))
        self.label_title_logo.setPixmap(QPixmap(logo_path))
        self.label_title_logo.setScaledContents(True)
        self.about_label_support = QLabel(self.frame_base)
        self.about_label_support.setObjectName(u"about_label_support")
        self.about_label_support.setGeometry(QRect(124, 330, 81, 31))
        self.about_label_support.setStyleSheet(u"QLabel {\n"
                                               "	font-size: 14px;\n"
                                               "}")

        self.retranslateUi(about)

        QMetaObject.connectSlotsByName(about)
        # 产生阴影
        self.set_shadow()

    # 设置窗体边框阴影
    def set_shadow(self):
        shadow = QGraphicsDropShadowEffect(self.frame_base)
        shadow.setColor(QColor("#444444"))
        shadow.setOffset(0, 0)
        shadow.setBlurRadius(10)
        self.frame_base.setGraphicsEffect(shadow)

    # setupUi

    def retranslateUi(self, about):
        about.setWindowTitle(QCoreApplication.translate("about", u"\u5173\u4e8e", None))
        self.pushButton_title_bar_close.setText(QCoreApplication.translate("about", u"\u00d7", None))
        # self.about_label_title.setText(QCoreApplication.translate("about", u"\u5173\u4e8e", None))
        self.label_logo.setText("")
        self.about_label_name.setText(
            QCoreApplication.translate("about", u"\u517c\u5bb9\u6027\u9002\u914d\u5de5\u5177", None))
        self.about_label_version.setText(QCoreApplication.translate("about", u"\u7248\u672c\uff1aV" + f"{APP_VERSION}", None))
        self.label_title_logo.setText("")
        # 设置label 可以打开链接地址，跳转url才能生效
        self.about_label_support.setOpenExternalLinks(True)
        self.about_label_support.setText(QCoreApplication.translate("about",
                                                                    u"<html><head/><body><p><a href=\"https://eco.kylinos.cn/document/science.html\"><span style=\" text-decoration: underline; color:#161616;\">\u670d\u52a1\u4e0e\u652f\u6301</span></a></p></body></html>",
                                                                    None))
    # retranslateUi

    def close_dialog(self):
        self.dialog.close()

    # 声明版本
    def set_version(self, version):
        self.about_label_version.setText(QCoreApplication.translate("about", u"\u7248\u672c\uff1a" + version, None))
