# coding=utf-8
"""
@Project : kylin-adaptation-tools
@Time    : 2023/11/16 15:06
@Author  : wangbin wangchunli
"""
from PySide2.QtCore import *
from PySide2.QtGui import *
from PySide2.QtWidgets import *
from src.setting import RESOURCE_PATH


# 集成对象使用QObject
class Ui_MainWindow(QObject):
    """
    主窗口的view，实现主窗体ui
    """

    def setupUi(self, MainWindow):
        if not MainWindow.objectName():
            MainWindow.setObjectName(u"MainWindow")

        # 增加self.window = MainWindow
        self.window = MainWindow
        MainWindow.resize(902, 542)
        sizePolicy = QSizePolicy(QSizePolicy.Preferred, QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(MainWindow.sizePolicy().hasHeightForWidth())
        MainWindow.setSizePolicy(sizePolicy)
        # MainWindow.setMinimumSize(QSize(920, 560))
        # MainWindow.setMaximumSize(QSize(920, 560))

        # 窗口边框透明，做阴影
        MainWindow.setAttribute(Qt.WA_TranslucentBackground)

        # 窗口无标题栏
        flags = Qt.FramelessWindowHint
        MainWindow.setWindowFlags(flags)
        # 窗口自定义标题栏

        MainWindow.setStyleSheet(u"QFrame {\n"
                                 # "	font-family: \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                                 "	margin: 0px;\n"
                                 "	background-color: white;\n"
                                 "	border-width: 0px;\n"
                                 "	border-radius: 0px;\n"
                                 "	border-color: rgb(215, 215, 215);\n"
                                 "	border-style: solid;\n"
                                 "}\n"
                                 "\n"
                                 "QLabel {\n"
                                 "	font-size: 18px;\n"
                                 # "	font-family: \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                                 "	color: rgb(16, 16, 16);\n"
                                 "	border-width: 0px;\n"
                                 "}\n"
                                 "QLineEdit {\n"
                                 "	border-top-left-radius: 0px;\n"
                                 "	border-top-right-radius: 20px;\n"
                                 "	border-bottom-left-radius: 0px;\n"
                                 "	border-bottom-right-radius: 20px;\n"
                                 "	background-color: white;\n"
                                 "	border-width: 1px;\n"
                                 "	border-color: rgb(222,65,29);\n"
                                 "	border-style: solid;\n"
                                 "	font-size: 16px;\n"
                                 # "	font-family: \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                                 "	padding-right: 40px;\n"
                                 "}\n"
                                 "\n"
                                 "QPushButton{\n"
                                 "	border-color: rgb(222,65,29);\n"
                                 "	border-style: solid;\n"
                                 "	border-width: 0px;\n"
                                 "	border-radius: 5px;\n"
                                 "	color: rgb(255, 255, 255);\n"
                                 # "	font-family: \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                                 "	font-size: 20px;\n"
                                 "	background-color: rgb(222,65,29);\n"
                                 ""
                                 "}\n"
                                 "QPushButton:pressed{\n"
                                 "	color:white;\n"
                                 "}\n"
                                 "QPushButton:hover{\n"
                                 "	background-color: rgb(252,95,59);\n"
                                 "	border-width: 0px;\n"
                                 "}\n"
                                 "\n"
                                 "QProgressBar::chunk\n"
                                 "{\n"
                                 "	border-radius:12px;\n"
                                 "	background:qlineargradient(spread:pad,x1:0,y1:0,x2:1,y2:0,stop:0 rgb(222,65,29),stop:1 rgb(252, 95, 59));\n"
                                 "}\n"
                                 "QProgressBar\n"
                                 "{\n"
                                 "	height:22px;\n"
                                 "	text-align:center;/*\u6587\u672c\u4f4d\u7f6e*/\n"
                                 "	font-size:14px;\n"
                                 "	color:white;\n"
                                 "	border-radius:12px;\n"
                                 "	background: rgb(230, 230, 230);\n"
                                 "}\n"
                                 "\n"
                                 "/*\u8bbe\u7f6e\u63a7\u4ef6\u4e0b\u9762\u677f\u7684\u80cc\u666f\u989c\u8272*/\n"
                                 "QTabWidget::pane\n"
                                 "{\n"
                                 "    background-color: rgb(228, 233, 242);\n"
                                 "    border:none;\n"
                                 "}\n"
                                 "")
        self.centralwidget = QWidget(MainWindow)
        self.centralwidget.setObjectName(u"centralwidget")
        self.frame = QFrame(self.centralwidget)
        self.frame.setObjectName(u"frame")
        self.frame.setGeometry(QRect(10, 10, 890, 530))
        # self.frame.setMinimumSize(QSize(890, 530))
        # self.frame.setMaximumSize(QSize(1000, 700))

        self.frame.setFrameShape(QFrame.Box)
        self.frame.setFrameShadow(QFrame.Plain)
        self.frame_title_bar = QFrame(self.frame)
        self.frame_title_bar.setObjectName(u"frame_title_bar")
        self.frame_title_bar.setGeometry(QRect(0, 0, 900, 40))
        self.frame_title_bar.setAcceptDrops(False)
        self.frame_title_bar.setToolTipDuration(0)
        # 对title bar 增加动作过滤器
        self.frame_title_bar.installEventFilter(self)
        self.frame_title_bar.setStyleSheet(u"QFrame {\n"
                                           # "	font-family: \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                                           "	margin: 0px;\n"
                                           "	border-radius: 0px;\n"
                                           "	border-width: 0px;\n"
                                           "	background-color: white;\n"
                                           "}\n"
                                           "QLabel {\n"
                                           "	font-size: 14px;\n"
                                           "	font-weight:200;\n"
                                           "	color: rgb(16, 16, 16);\n"
                                           "	border-width: 0px;\n"
                                           "	border-radius: 3px;\n"
                                           "	border-style: solid;\n"
                                           "	border-width: 0px;\n"
                                           "}\n"
                                           "QPushButton{\n"
                                           "	border-color: rgb(215, 215, 215);\n"
                                           "	border-style: solid;\n"
                                           "	border-width: 0px;\n"
                                           "	border-radius: 6px;\n"
                                           # "	font-family: \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                                           "	font-size: 18px;\n"
                                           "	color: rgb(16, 16, 16);\n"
                                           "	background-color: rgb(255, 255, 255);\n"
                                           "}\n"
                                           "QPushButton:hover{\n"
                                           "	background-color: rgb(232, 232, 232);\n"
                                           "}\n"
                                           "QPushButton:pressed{\n"
                                           "	color:white;\n"
                                           "}")
        self.frame_title_bar.setFrameShape(QFrame.WinPanel)
        self.frame_title_bar.setFrameShadow(QFrame.Plain)
        self.frame_title_bar.setLineWidth(0)
        self.pushButton_title_bar_close = QPushButton(self.frame_title_bar)
        self.pushButton_title_bar_close.setObjectName(u"pushButton_title_bar_close")
        self.pushButton_title_bar_close.setGeometry(QRect(856, 5, 30, 30))
        self.pushButton_title_bar_close.setCursor(QCursor(Qt.PointingHandCursor))
        self.pushButton_title_bar_close.setStyleSheet(u"QPushButton:hover{\n"
                                                      "	background-color: red;\n"
                                                      "}")
        self.pushButton_title_bar_min = QPushButton(self.frame_title_bar)
        self.pushButton_title_bar_min.setObjectName(u"pushButton_title_bar_min")
        self.pushButton_title_bar_min.setGeometry(QRect(822, 5, 30, 30))
        self.pushButton_title_bar_min.setCursor(QCursor(Qt.PointingHandCursor))
        self.pushButton_title_bar_menu = QPushButton(self.frame_title_bar)
        self.pushButton_title_bar_menu.setObjectName(u"pushButton_title_bar_menu")
        self.pushButton_title_bar_menu.setGeometry(QRect(788, 5, 30, 30))
        self.pushButton_title_bar_menu.setCursor(QCursor(Qt.PointingHandCursor))
        self.label_title_logo = QLabel(self.frame_title_bar)
        self.label_title_logo.setObjectName(u"label_title_logo")
        self.label_title_logo.setGeometry(QRect(12, 8, 24, 24))
        # logo文件 使用项目的资源路径
        logo_path = f'{RESOURCE_PATH}/logo.png'
        self.label_title_logo.setPixmap(QPixmap(logo_path))
        self.label_title_logo.setScaledContents(True)
        self.label_title_on_title_bar = QLabel(self.frame_title_bar)
        self.label_title_on_title_bar.setObjectName(u"label_title_on_title_bar")
        self.label_title_on_title_bar.setGeometry(QRect(40, 10, 181, 20))
        self.label_title_on_title_bar.setFocusPolicy(Qt.NoFocus)
        self.tabWidget_body = QTabWidget(self.frame)
        self.tabWidget_body.setObjectName(u"tabWidget_body")
        self.tabWidget_body.setGeometry(QRect(0, 50, 900, 540))
        self.tab_1 = QWidget()
        self.tab_1.setObjectName(u"tab_1")
        self.lineEdit_filepath = QLineEdit(self.tab_1)
        self.lineEdit_filepath.setObjectName(u"lineEdit_filepath")
        self.lineEdit_filepath.setGeometry(QRect(140, 200, 240, 40))
        self.lineEdit_filepath.setMaxLength(255)
        self.lineEdit_filepath.setClearButtonEnabled(False)
        self.label_desc = QLabel(self.tab_1)
        self.label_desc.setObjectName(u"label_desc")
        self.label_desc.setGeometry(QRect(40, 90, 321, 41))
        self.label_desc.setStyleSheet(u"QLabel {\n"
                                      "    font-size: 20px;\n"
                                      "}")
        self.pushButton_test_start = QPushButton(self.tab_1)
        self.pushButton_test_start.setObjectName(u"pushButton_test_start")
        self.pushButton_test_start.setEnabled(True)
        self.pushButton_test_start.setGeometry(QRect(140, 340, 140, 40))
        self.pushButton_test_start.setCursor(QCursor(Qt.PointingHandCursor))

        self.label_title = QLabel(self.tab_1)
        self.label_title.setObjectName(u"label_title")
        self.label_title.setGeometry(QRect(40, 30, 231, 51))
        self.label_title.setStyleSheet(u"QLabel {\n"
                                       "	font: 35px;\n"
                                       # "	font-family: \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                                       "}")
        self.comboBox_select_type = QComboBox(self.tab_1)
        self.comboBox_select_type.addItem("")
        self.comboBox_select_type.addItem("")
        self.comboBox_select_type.setObjectName(u"comboBox_select_type")
        self.comboBox_select_type.setGeometry(QRect(40, 200, 100, 40))
        self.comboBox_select_type.setCursor(QCursor(Qt.PointingHandCursor))
        # 使 下拉框的每项样式 生效
        self.comboBox_select_type.setView(QListView())
        # 整个combox样式
        self.comboBox_select_type.setAttribute(Qt.WA_TranslucentBackground)
        self.comboBox_select_type.setStyleSheet(u"QComboBox {\n"
                                                "	border-top-left-radius: 20px;\n"
                                                "	border-top-right-radius: 0px;\n"
                                                "	border-bottom-left-radius: 20px;\n"
                                                "	border-bottom-right-radius: 0px;\n"
                                                # "	padding-left: 20px;\n"
                                                "	color: rgb(255, 255, 255);\n"
                                                "	font: normal normal 20px  \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                                                "	background-color: qlineargradient(spread:pad, x1:1, y1:1, x2:1, y2:0.00568182, stop:0 rgba(205, 44, 26, 255), stop:1 rgba(233, 88, 57, 255));\n"
                                                "}\n"
                                                "\n"
                                                "QComboBox::drop-down {\n"
                                                "    subcontrol-origin: padding;/* \u5b50\u63a7\u4ef6\u5728\u7236\u5143\u7d20\u4e2d\u7684\u539f\u70b9\u77e9\u5f62\u3002\u5982\u679c\u672a\u6307\u5b9a\u6b64\u5c5e\u6027\uff0c\u5219\u9ed8\u8ba4\u4e3apadding\u3002 */\n"
                                                "    subcontrol-position: top right;/* \u4e0b\u62c9\u6846\u7684\u4f4d\u7f6e\uff08\u53f3\u4e0a\uff09 */\n"
                                                "    width: 30px;/* \u4e0b\u62c9\u6846\u7684\u5bbd\u5ea6 */\n"
                                                "    border-left-width: 0px;/* \u4e0b\u62c9\u6846\u7684\u5de6\u8fb9\u754c\u7ebf\u5bbd\u5ea6 */\n"
                                                "/* \u4e0b\u62c9\u6846\u7684\u5de6\u8fb9\u754c\u7ebf\u989c\u8272 */\n"
                                                "    border-left-color:  rgb(215, 215, 2);\n"
                                                "    border-left-style: solid; /* \u4e0b\u62c9\u6846\u7684\u5de6\u8fb9\u754c\u7ebf\u4e3a\u5b9e\u7ebf */\n"
                                                "    border-top-right-radius: 0px;/* \u4e0b\u62c9\u6846\u7684\u53f3\u4e0a\u8fb9\u754c\u7ebf\u7684\u5706\u89d2\u534a\u5f84\uff08\u5e94\u548c\u6574\u4e2aQComboBox\u53f3\u4e0a\u8fb9\u754c\u7ebf\u7684\u5706\u89d2\u534a\u5f84\u4e00\u81f4\uff09 */\n"
                                                "    border-bottom-right-radius: 0px; /* \u540c\u4e0a */\n"
                                                "\n"
                                                "    background: qlineargradient(spread:pad, x1:1, y1:1, x2:1, y2:0.00568182, stop:0 rgba(205, 44, 26, 255), stop:1 rgba(233, 88, 57, 255));\n"
                                                "\n"
                                                "}\n"
                                                # "QComboBox::down-arrow "
                                                # "{\n"
                                                # "	width: 30px;/* \u4e0b\u62c9\u7bad\u5934\u7684\u5bbd\u5ea6\uff08\u5efa\u8bae\u4e0e\u4e0b\u62c9\u6846drop-down\u7684\u5bbd\u5ea6\u4e00\u81f4\uff09 */\n"
                                                # "	background: transparent;/* \u4e0b\u62c9\u7bad\u5934\u7684\u7684\u80cc\u666f\u8272 */\n"
                                                # "	padding: 0px 0px 0px 0px;/* \u4e0a\u5185\u8fb9\u8ddd\u3001\u53f3\u5185\u8fb9\u8ddd\u3001\u4e0b\u5185\u8fb9\u8ddd\u3001\u5de6\u5185\u8fb9\u8ddd"
                                                # " */\n"
                                                # "	image: url("f'{RESOURCE_PATH}'"/drop_icon.png);\n"
                                                # "}\n"
                                                "/* \u4e0b\u62c9\u5c55\u5f00\u540e\uff0c\u6574\u4e2a\u4e0b\u62c9\u7a97\u4f53\u6837\u5f0f */\n"
                                                "QComboBox QAbstractItemView {\n"
                                                "   outline: 0px solid gray;/*\u9009\u4e2d\u9879\u5916\u8fb9\u6846*/\n"
                                                # "   border: 5px solid green;/* \u6574\u4e2a\u4e0b\u62c9\u7a97\u4f53\u7684\u8fb9\u6846 */\n"
                                                "   margin:0px;\n"
                                                # "   border-radius:10px;\n"
                                                "border-top: 2px solid qlineargradient(y0:0, y1:1,stop: 0  rgb(222,65,29), stop: 1 white); "
                                                "border-left: 2px solid qlineargradient(x0:0, x1:1,stop: 0  rgb(222,65,29), stop: 1 white);"
                                                "border-bottom: 2px solid qlineargradient(y0:0, y1:1,stop: 0 white, stop: 1  rgb(222,65,29));"
                                                "border-right: 2px solid qlineargradient(x0:0, x1:1,stop: 0 white, stop: 1  rgb(222,65,29));"
                                                ""
                                                "	padding: 5px;/* \u4e0a\u5185\u8fb9\u8ddd\u3001\u53f3\u5185\u8fb9\u8ddd\u3001\u4e0b\u5185\u8fb9\u8ddd\u3001\u5de6\u5185\u8fb9\u8ddd */\n"
                                                "   background-color: rgb(255, 255, 255); /* \u6574\u4e2a\u4e0b\u62c9\u7a97\u4f53\u7684\u80cc\u666f\u8272 */\n"
                                                "	font-size: 18px;\n"
                                                # "	selection-color:  rgb(255, 255, 255);/*\u4e0b\u62c9\u6846\u9009\u4e2d\u9879\u5b57\u4f53\u989c\u8272*/\n"
                                                # "	selection-background-border-radius: 5px;\n"
                                                # "	selection-background-border: 5px solid yellow;\n"
                                                # "	selection-background-color: qlineargradient(spread:pad, x1:0, y1:0, x2:1, y2:0, stop:0 rgba(205, 44, 26, 255), stop:1 rgba(233, 88, 57, 255));/* \u4e0b\u62c9\u6846\u9009\u4e2d"
                                                "\u9879\u7684\u80cc\u666f\u8272 */\n"
                                                "}\n"
                                                "QComboBox QAbstractItemView::item{\n"
                                                "   height:40px;\n"
                                                "   color: rgb(102, 102, 102);\n"
                                                "}\n"
                                                "QComboBox QAbstractItemView::item:selected { \n"
                                                "   border: 0px solid green;/* \u6574\u4e2a\u4e0b\u62c9\u7a97\u4f53\u7684\u8fb9\u6846 */\n"
                                                "   border-radius:10px;\n"
                                                "   color: rgb(255, 255, 255);\n"
                                                "   background-color: qlineargradient(spread:pad, x1:0, y1:0, x2:1, y2:0, stop:0 rgba(205, 44, 26, 255), stop:1 rgba(233, 88, 57, 255));\n"
                                                "}\n"
                                                "QComboBox QAbstractItemView::item:hover {\n"
                                                "   border: 0px solid green;/* \u6574\u4e2a\u4e0b\u62c9\u7a97\u4f53\u7684\u8fb9\u6846 */\n"
                                                "   border-radius:10px;\n"
                                                "   color:rgb(255, 255, 255);\n"
                                                "   background-color:  qlineargradient(spread:pad, x1:0, y1:0, x2:1, y2:0, stop:0 rgba(205, 44, 26, 255), stop:1 rgba(233, 88, 57, 255));\n"
                                                "}\n"
                                                )
        self.pushButton_browser_file = QPushButton(self.tab_1)
        self.pushButton_browser_file.setObjectName(u"pushButton_browser_file")
        self.pushButton_browser_file.setGeometry(QRect(340, 202, 36, 36))
        self.pushButton_browser_file.setCursor(QCursor(Qt.PointingHandCursor))
        self.pushButton_browser_file.setStyleSheet(u"QPushButton {\n"
                                                   "	border-top-left-radius: 0px;\n"
                                                   "	border-top-right-radius: 18px;\n"
                                                   "	border-bottom-left-radius: 0px;\n"
                                                   "	border-bottom-right-radius: 18px;\n"
                                                   "	color: black;\n"
                                                   "	background-color: white;\n"
                                                   "	image: url("f'{RESOURCE_PATH}'"/upload_icon.png);\n"
                                                   "	padding: 5px 0px 5px 0px;/* \u4e0a\u5185\u8fb9\u8ddd\u3001\u53f3\u5185\u8fb9\u8ddd\u3001\u4e0b\u5185\u8fb9\u8ddd\u3001\u5de6\u5185\u8fb9\u8ddd */\n"
                                                   "}")
        self.pushButton_browser_file.setIconSize(QSize(30, 30))
        self.label_BG = QLabel(self.tab_1)
        self.label_BG.setObjectName(u"label_BG")
        self.label_BG.setGeometry(QRect(420, 110, 460, 290))
        # logo文件 使用项目的资源路径
        BG_path = f'{RESOURCE_PATH}/BG.png'
        self.label_BG.setPixmap(QPixmap(BG_path))
        self.label_BG.setScaledContents(True)
        self.tabWidget_body.addTab(self.tab_1, "")
        self.tab_2 = QWidget()
        self.tab_2.setObjectName(u"tab_2")
        self.label_test_running = QLabel(self.tab_2)
        self.label_test_running.setObjectName(u"label_test_running")
        self.label_test_running.setEnabled(True)
        self.label_test_running.setGeometry(QRect(40, 150, 261, 31))

        self.progressBar_test = QProgressBar(self.tab_2)
        self.progressBar_test.setObjectName(u"progressBar_test")
        self.progressBar_test.setEnabled(True)
        self.progressBar_test.setGeometry(QRect(40, 210, 381, 25))
        # 设置当前进度条 值=0
        self.progressBar_test.setValue(0)
        self.progressBar_test.setAlignment(Qt.AlignCenter)
        self.progressBar_test.setTextVisible(True)
        self.progressBar_test.setOrientation(Qt.Horizontal)
        self.progressBar_test.setTextDirection(QProgressBar.TopToBottom)
        self.label_BG_2 = QLabel(self.tab_2)
        self.label_BG_2.setObjectName(u"label_BG_2")
        self.label_BG_2.setGeometry(QRect(420, 110, 461, 291))
        self.label_test_running_2 = QLabel(self.tab_2)
        self.label_test_running_2.setObjectName(u"label_test_running_2")
        self.label_test_running_2.setEnabled(True)
        self.label_test_running_2.setGeometry(QRect(40, 240, 351, 31))

        # 背景图2的路径
        BG2_path = f'{RESOURCE_PATH}/BG2.png'
        self.label_BG_2.setPixmap(QPixmap(BG2_path))
        self.label_BG_2.setScaledContents(True)
        self.tabWidget_body.addTab(self.tab_2, "")
        self.tab_3 = QWidget()
        self.tab_3.setObjectName(u"tab_3")
        self.label_test_finish = QLabel(self.tab_3)
        self.label_test_finish.setObjectName(u"label_test_finish")
        self.label_test_finish.setEnabled(True)
        self.label_test_finish.setGeometry(QRect(120, 110, 240, 30))
        self.label_test_finish.setAlignment(Qt.AlignCenter)
        self.label_test_finish.setStyleSheet(u"QLabel{\n"
                                             "	color: black;\n"
                                             # "	font-family: \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                                             "	font-size: 22px;\n"
                                             "\n"
                                             "}")
        icon = QIcon()
        # DOC 报告icon文件 使用项目的资源路径
        icon_path = f'{RESOURCE_PATH}/DOC_icon.svg'
        icon.addFile(icon_path, QSize(), QIcon.Normal, QIcon.Off)
        self.pushButton_report_html = QPushButton(self.tab_3)
        self.pushButton_report_html.setObjectName(u"pushButton_report_html")
        self.pushButton_report_html.setGeometry(QRect(195, 170, 80, 80))
        self.pushButton_report_html.setCursor(QCursor(Qt.PointingHandCursor))
        self.pushButton_report_html.setStyleSheet(u"QPushButton{\n"
                                                  "	border-color: rgb(222,65,29);\n"
                                                  "	border-style: solid;\n"
                                                  "	border-width: 0px;\n"
                                                  "	border-radius: 5px;\n"
                                                  "	color: rgb(255, 255, 255);\n"
                                                  # "	font-family: \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                                                  "	font-size: 20px;\n"
                                                  "	text-align: center;\n"
                                                  "	background-color: white;\n"
                                                  "}")
        icon1 = QIcon()
        # HTML 报告icon文件 使用项目的资源路径
        icon_path = f'{RESOURCE_PATH}/HTML_icon.svg'
        icon1.addFile(icon_path, QSize(), QIcon.Normal, QIcon.Off)
        self.pushButton_report_html.setIcon(icon1)
        self.pushButton_report_html.setIconSize(QSize(60, 60))
        self.label_test_report_html = QPushButton(self.tab_3)
        self.label_test_report_html.setObjectName(u"label_test_report_html")
        self.label_test_report_html.setEnabled(True)
        self.label_test_report_html.setGeometry(QRect(160, 250, 160, 31))
        self.label_test_report_html.setCursor(QCursor(Qt.PointingHandCursor))
        self.label_test_report_html.setStyleSheet(u"QPushButton{\n"
                                                  "color: rgb(51, 102, 255);\n"  # 蓝色文本
                                                  "text-decoration: underline;\n"  # 下划线
                                                  "background-color: none;\n"
                                                  "border: none;\n"  # 无边框
                                                  # "	font-family: \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                                                  "	font-size: 14px;\n"
                                                  "	text-align: center;\n"
                                                  # "	padding-left: 10px;\n"
                                                  "}\n"
                                                  "QPushButton:hover {\n"
                                                  "color: rgb(255, 0, 0);\n"  # 鼠标悬停时红色文本
                                                  "}")
        self.label_test_report_path = QLabel(self.tab_3)
        self.label_test_report_path.setObjectName(u"label_test_report_path")
        self.label_test_report_path.setEnabled(True)
        self.label_test_report_path.setGeometry(QRect(80, 290, 320, 30))
        self.label_test_report_path.setAlignment(Qt.AlignCenter)
        self.label_test_report_path.setStyleSheet(u"QLabel{\n"
                                                 "	color:gray;\n"
                                                 # "	font-family: \"\u5fae\u8f6f\u96c5\u9ed1\";\n"
                                                 "	font-size: 12px;\n"
                                                 # "	padding-left: 10px;\n"
                                                 "}")
        self.label_test_report_path.setTextInteractionFlags(Qt.TextSelectableByMouse)
        self.pushButton_return = QPushButton(self.tab_3)
        self.pushButton_return.setObjectName(u"pushButton_return")
        self.pushButton_return.setGeometry(QRect(170, 340, 140, 40))
        self.pushButton_return.setCursor(QCursor(Qt.PointingHandCursor))

        self.label_BG_3 = QLabel(self.tab_3)
        self.label_BG_3.setObjectName(u"label_BG_3")
        self.label_BG_3.setGeometry(QRect(420, 110, 461, 291))
        # 背景图3的路径
        BG3_path = f'{RESOURCE_PATH}/BG3.png'
        self.label_BG_3.setPixmap(QPixmap(BG3_path))
        self.label_BG_3.setScaledContents(True)
        self.tabWidget_body.addTab(self.tab_3, "")
        # 隐藏 tab的头
        self.tabWidget_body.tabBar().hide()
        MainWindow.setCentralWidget(self.centralwidget)

        self.retranslateUi(MainWindow)

        self.tabWidget_body.setCurrentIndex(0)

        QMetaObject.connectSlotsByName(MainWindow)
        # 产生阴影
        self.set_shadow()
        # 窗口打开在屏幕中间
        self.move_center()

    # 设置窗体边框阴影
    def set_shadow(self):
        shadow = QGraphicsDropShadowEffect(self.frame)
        shadow.setColor(QColor("#444444"))
        shadow.setOffset(0, 0)
        shadow.setBlurRadius(10)
        self.frame.setGraphicsEffect(shadow)

        # setupUi

    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(
            QCoreApplication.translate("MainWindow", u"\u9e92\u9e9f\u81ea\u52a8\u5316\u9002\u914d\u5de5\u5177\u96c6",
                                       None))
        self.pushButton_title_bar_close.setText(QCoreApplication.translate("MainWindow", u"\u00d7", None))
        self.pushButton_title_bar_min.setText(QCoreApplication.translate("MainWindow", u"\uff0d", None))
        self.pushButton_title_bar_menu.setText(QCoreApplication.translate("MainWindow", u"\u2261", None))
        self.label_title_logo.setText("")
        self.label_title_on_title_bar.setText(
            QCoreApplication.translate("MainWindow", u"\u517c\u5bb9\u6027\u9002\u914d\u5de5\u5177", None))
        self.lineEdit_filepath.setPlaceholderText(
            QCoreApplication.translate("MainWindow", u"  \u9009\u62e9\u8f6f\u4ef6\u5305", None))
        self.label_desc.setText(QCoreApplication.translate("MainWindow",
                                                           u"\u9009\u62e9\u8f6f\u4ef6\u5305\uff0c\u4e00\u952e\u68c0\u9a8c\u4ea7\u54c1\u517c\u5bb9\u6027",
                                                           None))
        self.pushButton_test_start.setText(QCoreApplication.translate("MainWindow", u"\u7acb\u5373\u6d4b\u8bd5", None))
        self.label_title.setText(
            QCoreApplication.translate("MainWindow", u"\u6807\u51c6\u517c\u5bb9\u6d4b\u8bd5", None))
        self.comboBox_select_type.setItemText(0,
                                              QCoreApplication.translate("MainWindow", u"  \u8f6f  \u4ef6", None))
        self.comboBox_select_type.setItemText(1,
                                              QCoreApplication.translate("MainWindow", u"  \u5916  \u8bbe", None))
        self.pushButton_browser_file.setText("")
        self.label_BG.setText("")
        self.tabWidget_body.setTabText(self.tabWidget_body.indexOf(self.tab_1),
                                       QCoreApplication.translate("MainWindow", u"Tab 1", None))
        self.label_test_running.setText(
            QCoreApplication.translate("MainWindow", u"\u6d4b\u8bd5\u4e2d, \u8bf7\u7a0d\u5019 ...", None))
        self.label_BG_2.setText("")
        self.label_test_running_2.setText(QCoreApplication.translate("MainWindow",
                                                                     u"<html><head/><body><p><span style=\" font-size:9pt;\">\u63d0\u793a\uff1a\u6d4b\u8bd5\u8fc7\u7a0b\u4e2d\u8bf7\u52ff\u64cd\u4f5c\u6d4b\u8bd5\u73af\u5883\uff0c\u907f\u514d\u5f71\u54cd\u6d4b\u8bd5\u7ed3\u679c\uff01</span></p></body></html>",
                                                                     None))
        self.tabWidget_body.setTabText(self.tabWidget_body.indexOf(self.tab_2),
                                       QCoreApplication.translate("MainWindow", u"Tab 2", None))
        self.label_test_finish.setText(
            QCoreApplication.translate("MainWindow", u"\u6d4b\u8bd5\u5b8c\u6210\uff0c\u8bf7\u67e5\u770b\u62a5\u544a",
                                       None))
        self.pushButton_report_html.setText("")
        self.label_test_report_html.setText(
            QCoreApplication.translate("MainWindow", u"\u70b9\u51fb\u6b64\u5904\u67e5\u770b\u62a5\u544a", None))
        self.label_test_report_path.setText(
            QCoreApplication.translate("MainWindow", u"\u66f4\u591a\u62a5\u544a\uff1a/opt/apps/kylin-adaptation-tools/Reports", None))
        self.pushButton_return.setText(QCoreApplication.translate("MainWindow", u"\u91cd\u65b0\u6d4b\u8bd5", None))
        self.label_BG_3.setText("")
        self.tabWidget_body.setTabText(self.tabWidget_body.indexOf(self.tab_3),
                                       QCoreApplication.translate("MainWindow", u"Tab 3", None))

    # retranslateUi

    # title的动作过滤器实现
    def eventFilter(self, watched: QObject, event: QEvent):
        if watched == self.frame_title_bar:
            if event.type() == QEvent.MouseButtonPress:
                self.mousePress = True
                self.mousePoint = event.globalPos() - self.window.pos()
            elif event.type() == QEvent.MouseMove:
                if self.mousePress:
                    self.window.move(event.globalPos() - self.mousePoint)
            elif event.type() == QEvent.MouseButtonRelease:
                self.mousePress = False
        return False

    # 设置打开时窗口在屏幕中间
    def move_center(self):
        q_rect = self.window.frameGeometry()
        center_point = QDesktopWidget().availableGeometry().center()
        q_rect.moveCenter(center_point)
        self.window.move(q_rect.topLeft())
